Groovy JDK

## java.io
Class DataInputStream

Method Summary
`Iterator` | `iterator()` Standard iterator for a data input stream which iterates through the stream content a Byte at a time.

Method Detail

### iterator

    public Iterator iterator()

  Standard iterator for a data input stream which iterates through the stream content a Byte at a time.

Returns:
  an Iterator for the DataInputStream

Since:
  1.5.0

Groovy JDK